package com.scitc.page.dao;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.SqlSession;

import com.scitc.page.domain.Pager;
import com.scitc.page.domain.User;
import com.scitc.page.util.MyBatisUtil;
import com.scitc.page.util.SystemContext;

public class UserDao {
	public Pager<User> find(String name) {

		Map<String, Object> params = new HashMap<String, Object>();
		if (name != null && !name.equals(""))
			params.put("name", "%" + name + "%");
		int pageSize = SystemContext.getPageSize();
		int pageOffset = SystemContext.getPageOffset();
		String order = SystemContext.getOrder();
		String sort = SystemContext.getSort();
		Pager<User> pages = new Pager<User>();
		SqlSession session = null;
		try {
			session = MyBatisUtil.createSession();
			params.put("pageSize", pageSize);
			params.put("pageOffset", pageOffset);
			params.put("sort", sort);
			params.put("order", order);
			List<User> datas = session.selectList(User.class.getName()+ ".find", params);
			pages.setDatas(datas);
			pages.setPageOffset(pageOffset);
			pages.setPageSize(pageSize);
			int totalRecord = session.selectOne(User.class.getName()+".find_count", params);
			pages.setTotalRecord(totalRecord);
		} finally {
			MyBatisUtil.closeSession(session);
		}
		return pages;
	}
}
